# -*- coding: utf-8 -*-
from openerp.http import request as r

_MODEL = 'res.company'

def get_res_company():
    domain = []
    return [
        {
            'id': company.id,
            'name': company.name,
            'logo': company.logo,
            'ruc': company.partner_id.ruc,
            'currency_id':{
                'id':  company.currency_id.id,
                'name':  company.currency_id.name,
                'symbol':  company.currency_id.symbol,
                'decimal_places':  company.currency_id.decimal_places,
                'decimal_separator':  company.currency_id.decimal_separator,
                'thousands_separator':  company.currency_id.thousands_separator,
                'symbol_position':  company.currency_id.symbol_position,
                'rate_silent': company.currency_id.rate_silent
            }
        } for company in r.env[_MODEL].search(domain)
    ]
