function datepicker(reporting) {
    "use strict";

    var model = openerp;

    reporting.ReportDatePickerWidget = reporting.Base.extend({
        fecthFecha: function() {
            var to;
            var dateFormat1 = "mm/dd/yy",
            from = $( "#from" )
            .datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                numberOfMonths: 1,
            })
            .on( "change", function() {
                to.datepicker( "option", "minDate", getDate(this), "dd/mm/yyyy");
            });
            to = $( "#to" ).datepicker({
                dateFormat: "dd/mm/yy",
                defaultDate: "+7d",
                changeMonth: true,
                numberOfMonths: 1,
            })
            .on( "change", function() {
                from.datepicker( "option", "maxDate", getDate(this));
            });
            function getDate( element ) {
                var fechaSel =element.value.split('/');
                var date;
                try {
                    date = $.datepicker.parseDate( dateFormat1, (fechaSel[1]+"/"+fechaSel[0]+"/"+fechaSel[2]));
                } catch( error ) {
                    date = null;
                }
                return date;
            }
        },
    });
}
