openerp.eiru_reports_sales = function (instance) {
    "use strict";

    var reporting = instance.eiru_reports_sales;

    reporting_base(instance,reporting);

    try {
        /*
        ================================
            BASE
        ================================
        */
        pdf(reporting);
        chart(reporting);
        datepicker(reporting);
        /*
        ================================
            VENTAS
        ================================
        */
        report_sale(reporting);
        report_sale_analytic(reporting);
        report_customer_ranking(reporting);
        report_sale_ranking_product(reporting);
        report_product_list(reporting);
    } catch (e) {
        // ignorar error
    }

    /*
    ================================================================================
        HISTORICO DE VENTAS
    ================================================================================
    */
    instance.web.client_actions.add(
        'eiru_reports_sales.sale_action',
        'instance.eiru_reports_sales.ReportSaleWidget'
    );
    /*
    ================================================================================
        ANALISIS DE VENTAS
    ================================================================================
     */
    instance.web.client_actions.add(
        'eiru_reports_sales.sale_analytic_action',
        'instance.eiru_reports_sales.ReportSaleAnalyticWidget'
    );
    /*
    ================================================================================
        CLIENTES
    ================================================================================
     */
    instance.web.client_actions.add(
        'eiru_reports_sales.customer_action',
        'instance.eiru_reports_sales.ReportCustomerWidget'
    );
    /*
    ================================================================================
        RANKING DE CLIENTES
    ================================================================================
    */
    instance.web.client_actions.add(
        'eiru_reports_sales.customer_ranking_action',
        'instance.eiru_reports_sales.ReportCustomerRankingWidget'
    );
    /*
    ================================================================================
        RANKING DE PRODUCTOS MAS VENDIDOS
    ================================================================================
    */
    instance.web.client_actions.add(
        'eiru_reports_sales.sale_ranking_product_action',
        'instance.eiru_reports_sales.ReportSaleRankingProductWidget'
    );
    /*
    ================================================================================
        CATALOGO DE PRODUCTOS
    ================================================================================
    */
    instance.web.client_actions.add(
        'eiru_reports_sales.product_list_action',
        'instance.eiru_reports_sales.ReportProductListWidget'
    );
};
